%def_with quicktime

Name: kino
Version: 0.7.6
Release: alt0.M24.2

Summary: Non-linear DV editor
Group: Video
License: GPL
Url: http://kino.schirmacher.de

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: %url/filemanager/17/%name-%version.tar.bz2
Source1: %name-48x48.xpm
Source2: %name-32x32.xpm
Source3: %name-16x16.xpm

%define libdv_ver 0.104
%define libraw1394_ver 1.1.0
%define libavc1394_ver 0.5.1
%define desktop_file_utils_ver 0.8

PreReq: hotplug
Requires(post,postun): desktop-file-utils >= %desktop_file_utils_ver
Requires(post,postun): shared-mime-info >= 0.15-alt2

#Requires: libdv >= %libdv_ver
#Requires: libraw1394 >= %libraw1394_ver
#Requires: libavc1394 >= %libavc1394_ver

BuildPreReq: desktop-file-utils >= %desktop_file_utils_ver
BuildPreReq: menu-devel
#BuildPreReq: libdv-devel >= %libdv_ver
#BuildPreReq: libraw1394-devel >= %libraw1394_ver
#BuildPreReq: libavc1394-devel >= %libavc1394_ver

%if_with quicktime
BuildPreReq: libquicktime-devel
%endif

# Added on Sat Jun 03 2006
BuildRequires: ORBit2-devel XFree86-devel XFree86-libs esound fontconfig freetype2 gcc-c++ glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libavc1394-devel libbonobo2-devel libbonoboui-devel libdv-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libpango-devel libpopt-devel libraw1394-devel libsamplerate-devel libstdc++-devel libxml2-devel pkgconfig zlib-devel

%description
Kino is a non-linear DV editor for GNU/Linux. It features excellent
integration with IEEE 1394 for capture, VTR control, and recording back
to the camera. It captures video to disk in AVI format in both type-1 DV
and type-2 DV (separate audio stream) encodings.

You can load multiple video clips into a playlist, cut and paste
portions of video/audio, and save it to a playlist. Most edit and
navigation commands are mapped to equivalent vi key commands. Also, Kino
can load playlists and  save the composite playlist as a new DV AVI
file. Finally, Kino can save a single frame of video (a still) in
numerous file formats (based upon file extension).

Currently, Kino does not support other video file formats or encodings.
It does not support multiple layers or tracks of video and audio. It
does not do image processing, titling, transitions, or effects. We plan
to implement most of these features, but first we chose to focus on the
basics of IEEE 1394, video, audio, and file input and output. We place a
lot of emphasis on quality, stability, performance, and workflow.

For more information, please read the NEWS file, which contains
functional changes and important notices for each new version. The
ChangeLog contains a more detailed, technical account of the changes in
each version. Valuable information is contained in these files unless
you can read C/C++ source  code. Also, the discussion forums on the user
website above are very helpful.

%package devel
Group:	Development/C++
Summary: Header files for kino plugin development
Requires: %name = %version-%release

%description devel
This package contains the headers files needed to build extensions for kino.

%define hotplug_dir %_sysconfdir/hotplug
%define hotplug_usb_dir %hotplug_dir/usb
%define hotplug_usb_usermap %hotplug_dir/usb.usermap
%define hotplug_lib_dir %_libdir/hotplug

%prep
%setup -q
# to prevent linking against old glib
#%__subst '/AC_CHECK_LIB(glib, g_log)/d' configure.in
%__subst "s|quicktime/quicktime|lqt/quicktime|" src/filehandler.h

%build
export LDFLAGS=-export-dynamic
#%__autoconf
%configure \
	%{subst_with quicktime} \
	--with-hotplug-script-dir=%hotplug_usb_dir \
	--with-hotplug-usermap-dir=%hotplug_lib_dir/kino \

%make_build

%install
%make_install DESTDIR=%buildroot install

%__mkdir_p %buildroot%_sysconfdir/kino-scripts

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl "%name" "Multimedia/Video" \
    %buildroot%_datadir/applications/Kino.desktop \
    %buildroot%_menudir/%name

%find_lang --with-gnome %name

%post
%update_menus
%update_mimedb
%update_desktopdb
[ -x %_sbindir/update-usb.usermap ] && %_sbindir/update-usb.usermap ||:

%postun
%clean_menus
%clean_mimedb
%clean_desktopdb
if [ "$1" = 0 ]; then
    [ -x %_sbindir/update-usb.usermap ] && %_sbindir/update-usb.usermap ||:
fi

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/%name
%_datadir/pixmaps/*
%_menudir/%name
%_man1dir/*
%_datadir/mime/packages/*.xml
%dir %_sysconfdir/kino-scripts
%dir %hotplug_lib_dir/%name
%hotplug_lib_dir/%name/usb.usermap
%config %hotplug_usb_dir/*
%doc AUTHORS BUGS ChangeLog NEWS README* TODO

%files devel
%_includedir/*

%changelog
* Sat Jun 03 2006 Grigory Batalov <bga@altlinux.ru> 0.7.6-alt0.M24.2
- rebuild with fixed libquicktime.

* Tue Sep 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.7.6-alt0.M24.1
- backports to ALT Linux 

* Sat Aug 27 2005 Vitaly Lipatov <lav@altlinux.ru> 0.7.6-alt1
- new version (rebuilt with libquicktime, libraw1394.so.5)

* Tue Dec 14 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.5-alt1
- 0.7.5

* Mon Jun 07 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.7.1-alt0.5
- 0.7.1

* Sun Dec 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt0.5
- go to GNOME 2.

* Mon Dec 15 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.5-alt0.4
- 0.6.5

* Mon Feb 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.4-alt0.4
- new version.

* Wed Dec 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.4
- fixed menu entry and description.

* Thu Nov 21 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.6.1-alt0.3
- First build for Sisyphus.
